
package cn.orionsec.ops.handler.importer.checker;

import cn.orionsec.ops.constant.ImportType;
import cn.orionsec.ops.entity.domain.MachineProxyDO;
import cn.orionsec.ops.entity.importer.MachineProxyImportDTO;
import cn.orionsec.ops.entity.vo.data.DataImportCheckVO;
import org.apache.poi.ss.usermodel.Workbook;

import java.util.List;

public class MachineProxyDataChecker extends AbstractDataChecker<MachineProxyImportDTO, MachineProxyDO> {

    public MachineProxyDataChecker(Workbook workbook) {
        super(ImportType.MACHINE_PROXY, workbook);
    }

    @Override
    protected DataImportCheckVO checkImportData(List<MachineProxyImportDTO> rows) {
        // 检查数据合法性
        this.validImportRows(rows);
        // 设置导入检查数据
        return this.setImportCheckRows(rows);
    }

}
